Skip to Content
kosemdocs
ReferenceAPIEnvironments

Delete registry in project

Deletes a registry. Its secret is not deleted. Environments that run keep running; those whose images it covered can't start again until another registry covers them.

DELETE
/v1/projects/{project}/registries/{registry}

Deletes a registry. Its secret is not deleted.

Environments that run keep running; those whose images it covered can't start again until another registry covers them.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
registry*string

The registry's ID.

Match^reg_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/registries/string'
Example Response
Empty